Generate a project OIDC token
POST
https://api.vercel.com/v1/projects/{idOrName}/tokenGenerates an OIDC token for the project and returns it.
https://api.vercel.com/v1/projects/{idOrName}/token
const response = await fetch('https://api.vercel.com/v1/projects/idOrName/token?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "source": "vercel-cli:pull" }),});
const data = await response.json();console.log(data);Response
{ "token": "string"}AuthorizationbearerToken
Default authentication mechanism